org.apache.jmeter.visualizers

## Class RespTimeGraphDataBean

- java.lang.Object
- - org.apache.jmeter.visualizers.RespTimeGraphDataBean

    public class RespTimeGraphDataBean
    extends Object

Bean to hold timing information about samples

### Constructor Summary

Constructors
Constructor and Description
`RespTimeGraphDataBean(long startTime, long time, String samplerLabel)` Constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getSamplerLabel()`
`long` `getStartTime()`
`long` `getTime()`
`void` `setSamplerLabel(String samplerLabel)`
`void` `setStartTime(long startTime)`
`void` `setTime(long time)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RespTimeGraphDataBean

    public RespTimeGraphDataBean(long startTime,
                                 long time,
                                 String samplerLabel)

Constructor

Parameters:
  `startTime` - The start time of this Sample
  `time` - The time elapsed for this sample
  `samplerLabel` - The label for this sample

### Method Detail

#### getStartTime

    public long getStartTime()

Returns:
  the startTime

#### setStartTime

    public void setStartTime(long startTime)

Parameters:
  `startTime` - the startTime to set

#### getTime

    public long getTime()

Returns:
  the time

#### setTime

    public void setTime(long time)

Parameters:
  `time` - the time to set

#### getSamplerLabel

    public String getSamplerLabel()

Returns:
  the samplerLabel

#### setSamplerLabel

    public void setSamplerLabel(String samplerLabel)

Parameters:
  `samplerLabel` - the samplerLabel to set